ScXMLScxmlElt(3)

NAME
ScXMLScxmlElt - implements the <scxml> SCXML element.

SYNOPSIS

#include <Inventor/scxml/ScXMLScxmlElt.h>

Inherits ScXMLElt.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and downward"casting.
void setIsReferenced (SbBool referenced)
SbBool isReferenced (void) const
virtual void setInitialAttribute (const char *initial)
const char * getInitialAttribute (void) const
virtual void setNameAttribute (const char *name)
const char * getNameAttribute (void) const
virtual void setXMLNSAttribute (const char *xmlns)
const char * getXMLNSAttribute (void) const
virtual void setVersionAttribute (const char *version)
const char * getVersionAttribute (void) const
virtual void setProfileAttribute (const char *profile)
const char * getProfileAttribute (void) const
virtual void setExModeAttribute (const char *exmode)
const char * getExModeAttribute (void) const
virtual SbBool handleXMLAttributes (void)
virtual void copyContents (const ScXMLElt *rhs)
virtual const ScXMLElt * search (const char *attrname, const char *attrvalue) const
virtual void setInitial (ScXMLInitialElt *initial)
virtual ScXMLInitialElt * getInitial (void) const
virtual int getNumStates (void) const
virtual ScXMLStateElt * getState (int idx) const
virtual void addState (ScXMLStateElt *state)
virtual void removeState (ScXMLStateElt *state)
virtual void clearAllStates (void)
virtual int getNumParallels (void) const
virtual ScXMLParallelElt * getParallel (int idx) const
virtual void addParallel (ScXMLParallelElt *state)
virtual void removeParallel (ScXMLParallelElt *state)
virtual void clearAllParallels (void)
virtual int getNumFinals (void) const
virtual ScXMLFinalElt * getFinal (int idx) const
virtual void addFinal (ScXMLFinalElt *state)
virtual void removeFinal (ScXMLFinalElt *state)
virtual void clearAllFinals (void)
virtual void setDataModel (ScXMLDataModelElt *datamodel)
virtual ScXMLDataModelElt * getDataModel (void) const
virtual int getNumScripts (void) const
virtual ScXMLScriptElt * getScript (int idx) const
virtual void addScript (ScXMLScriptElt *state)
virtual void removeScript (ScXMLScriptElt *state)
virtual void clearAllScripts (void)
virtual void execute (ScXMLStateMachine *statemachine) const
Public Member Functions inherited from ScXMLElt
void setXMLAttribute (const char *attribute, const char *value)
const char * getXMLAttribute (const char *attribute) const
ScXMLElt * clone (void) const
virtual void setContainer (ScXMLElt *container)
ScXMLElt * getContainer (void) const
SbBool isContainedIn (const ScXMLElt *object) const
Public Member Functions inherited from ScXMLObject
SbBool isOfType (SoType type) const
Returns TRUE if the type of this object is either of the same type or inherited from type.

  Static Public Member Functions
static ScXMLEltReader * getElementReader (void)
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)
Static Public Member Functions inherited from ScXMLElt
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType getClassTypeId (void)
This static method returns the SoType object associated with objects of this class.
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void cleanClass (void)
Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

  Protected Attributes
SbBool referenced
char * initial
char * name
char * xmlns
char * version
char * profile
char * exmode

  Additional Inherited Members
Static Protected Member Functions inherited from ScXMLElt
static void registerClassType (const char *xmlns, const char *classname, SoType type)
static void registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)
Static Protected Member Functions inherited from ScXMLObject
static void registerClassType (const char *xmlns, const char *classname, SoType type)
static void registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

Detailed Description

implements the <scxml> SCXML element. An object of this type represents the root <scxml> SCXML element in a document. It has the following attributes:

•   initial

•   name

•   xmlns

•   version [REQUIRED] must contain "1.0"

•   profile

•   exmode - "lax" or "strict"

The <scxml> element can have child elements of the following types:

•   initial - zero or one element of this type, depending on whether the "initial" attribute is set or not (one of them must be set, and only one), but only when the <scxml> element is the root element and not an external reference from another document.

•   state - zero or more elements

•   parallel - zero or more elements

•   final - zero or more elements

•   datamodel - zero or one if the data model module is enabled

Since
    Coin 3.0

Member Function Documentation

  SoType ScXMLScxmlElt::getTypeId (void ) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
    SoBase::getTypeId() const

Implements ScXMLElt.

  SbBool ScXMLScxmlElt::handleXMLAttributes (void ) [virtual]
This method is called when the file reader has set all the XML attributes on the object, and wants the object to handle them and report if the values were OK or if a read error should be produced.

Returns
    TRUE if the attributes are OK, and FALSE on error.

This base class implementation does nothing and just returns TRUE.

Reimplemented from ScXMLElt.

  void ScXMLScxmlElt::copyContents (const ScXMLElt * rhs) [virtual]

Reimplemented from ScXMLElt.

  const ScXMLElt * ScXMLScxmlElt::search (const char * attrname, const char * attrvalue) const [virtual]
This method searches the SCXML structure for an element with the given attribute value for the given attribute.

Returns NULL if nothing was found.

This function needs to be reimplemented to traverse child elements.

Reimplemented from ScXMLElt.

Author

Generated automatically by Doxygen for Coin from the source code.